Developer Hub
Request Demo
Request Demo
Support
  1. Requests
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API (Early Access)
    • Apps
      • Bulk Apps Download API (Early Access)
    • Business Owners
      • Bulk Business Owners Download API (Early Access)
      • Bulk Business Owners Upload API (Early Access)
    • Campaigns
      • Bulk Campaigns Download API (Early Access)
      • Bulk Campaigns Upload API (Early Access)
    • Configuration
      • Bulk Applied Labels Upload API (Early Access)
      • Bulk Entity Finding Rules Download API (Early Access)
      • Bulk Custom Insights (Entity Rules) Download API (Early Access)
      • Bulk Filters Download API (Early Access)
      • Bulk Filters Upload API (Early Access)
      • Bulk Findings Download API (Early Access)
      • Bulk Findings Upload API (Early Access)
      • Bulk Labels Download API (Early Access)
      • Bulk Labels Upload API (Early Access)
      • Bulk Privileged Download API (Early Access)
      • Bulk Privileged Upload API (Early Access)
      • Bulk RBAC Download API (Early Access)
      • Bulk RBAC Upload API (Early Access)
      • Bulk RBAC2 Download API (Early Access)
      • Bulk RBAC2 Upload API (Early Access)
      • Bulk Rules Download API (Early Access)
      • Bulk Rules Upload API (Early Access)
      • Get Branding Information
    • Employees
      • Bulk Employees Download API (Early Access)
      • Bulk Employees Upload API (Early Access)
    • Entitlements
      • Bulk Entitlements Download API (Early Access)
      • Bulk Entitlements Upload API (Early Access)
    • Entities
      • Bulk Entities Download API (Early Access)
      • Bulk Entities Upload API (Early Access)
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API (Early Access)
      • Bulk Entity Insights Upload API (Early Access)
    • EntityRelations
      • Bulk Entity Relations Download API (Early Access)
      • Bulk Entity Relations Upload API (Early Access)
    • EntityRBAC
      • Bulk Entity RBAC Download API
      • Bulk Entity RBAC Upload API
    • Integrations
      • Bulk Integrations Download API (Early Access)
      • Bulk Integrations Upload API (Early Access)
    • Purposes
      • Bulk Purposes Download API (Early Access)
      • Bulk Purposes Upload API (Early Access)
    • Relations
      • Bulk Relations Download API (Early Access)
      • Bulk Relations Upload API (Early Access)
    • Requests
      • Bulk Requests Download API (Early Access)
        POST
      • Bulk Requests Upload API (Early Access)
        POST
    • Reviews
      • Bulk Reviews Download API (Early Access)
      • Bulk Reviews Upload API (Early Access)
    • Playbooks
      • Bulk Playbook Templates API (Early Access)
      • Bulk Playbook Templates Download API (Early Access)
    • Webhooks
      • Bulk Webhook Templates Download API (Early Access)
      • Bulk Webhook Templates API (Early Access)
  • Playbooks
    • Overview
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • AppliedLabelsUploadURLRequest
      • CampaignsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Requests

Bulk Requests Download API (Early Access)

POST
https://app.balkan.id/api/rest/v0/requests/download-url

BalkanID Access Requests Download CSV Format#

The Requests CSV supports two modes based on the includeActivityLog flag:
Summary (includeActivityLog=false): One row per request. Uses the standard Requests CSV header.
With Audit Log (includeActivityLog=true): One row per associated review (for a given request). Adds Review ID and audit log and includes per-review integration/app info and entity columns.

Sample CSV (includeActivityLog=false)#

The header and example row below reflect the summary format:
Request ID,Requester,Requester Name,Request Type,Employee Email,Reference Employee,Provision Date,Expiration Date,Reason,App IDs,Integrations,Scheduled Date,Purpose ID,Purpose Name,Purpose Description,Metadata
<request-id>,user@example.com,Jane Doe,user_access_request,employee@example.com,ref@example.com,,,Sample reason,"app/01AAA..., app/01BBB..., app/01CCC...","App A, App B, App C",,,,"{""reference_type"": ""employee"", ""reference_employee"": ""ref@example.com"", ""reason"": ""Sample reason""}"

Sample CSV (includeActivityLog=true)#

The header and example row below reflect the audit format (one row per review). Note that App ID and Integrations are specific to each review; Parent/Entity columns are included along with the Activity Log at the end.
Request ID,Review ID,Requester,Requester Name,Request Type,Employee Email,Reference Employee,Duration,Expiration Date,Provision Date,Reason,App ID,Integrations,Parent Entity Name,Parent Entity Type,Parent Entity Source ID,Parent Entity Source Type,Parent Entity Metadata,Entity Name,Entity Type,Entity Source ID,Entity Source Type,Entity Metadata,Scheduled Date,Purpose ID,Purpose Name,Purpose Description,Metadata,Activity Log
<request-id>,<review-id>,user@example.com,Jane Doe,user_access_request,employee@example.com,ref@example.com,,2025-01-01T00:00:00Z,,Sample reason,app/01AAA...,"App A (Description)",Parent Entity,Repository,pe-123,provider,"{\"labels\":[\"sample\"]}",Entity Name,employee,ent-123,user,"{\"title\":\"Engineer\"}",,<purpose-id>,Sample Purpose,Sample description,"{}","[{\"Actor ID\":\"reviewer@example.com\",\"Status\":\"started\",\"Timestamp\":\"2025-01-01T00:00:00Z\"}]"

Column Definitions (includeActivityLog=true)#

ColumnDescription
Request IDUnique request identifier.
Review IDUnique review identifier associated to this row (one row per review).
RequesterEmail of the request originator.
Requester NameFull name of the request originator.
Request TypeThe request action/type (e.g., grant, revoke, user_access_request, purpose_assign).
Employee EmailEmail of the employee the access is requested for.
Reference EmployeeReference employee email, if present.
DurationRequested duration (Go duration format).
Expiration DateRequest expiration date/time (RFC3339), if present.
Provision DateProvision date/time (RFC3339), if present.
ReasonReason provided in the request.
App IDPer-review application integration ID.
IntegrationsPer-review application integration name (with description when present).
Parent Entity NameName of the parent entity associated with the review.
Parent Entity TypeType of the parent entity (e.g., Repository, Project).
Parent Entity Source IDSource ID of the parent entity, if available.
Parent Entity Source TypeSource type of the parent entity (e.g., github, jira).
Parent Entity MetadataJSON metadata of the parent entity.
Entity NameName of the entity associated with the review.
Entity TypeType of the entity.
Entity Source IDSource ID of the entity, if available.
Entity Source TypeSource type of the entity.
Entity MetadataJSON metadata of the entity.
Scheduled DateScheduled date/time for the request (RFC3339), if present.
Purpose IDPurpose ID associated with the request, if present.
Purpose NamePurpose name (enriched from graph), if available.
Purpose DescriptionPurpose description (enriched from graph), if available.
MetadataRaw JSON metadata of the request.
Activity LogWorkflow trail entries for the associated review (present only when includeActivityLog=true).
Notes:
Each review for a request produces a separate row.
App ID and Integrations columns are specific to that review (not the request-level list).

Column Definitions (includeActivityLog=false)#

ColumnDescription
Request IDUnique request identifier.
RequesterEmail of the request originator.
Requester NameFull name of the request originator.
Request TypeThe request action/type (e.g., grant, revoke, user_access_request, purpose_assign).
Employee EmailEmail of the employee the access is requested for.
Reference EmployeeReference employee email, if present.
Provision DateProvision date/time (RFC3339), if present.
Expiration DateRequest expiration date/time (RFC3339), if present.
ReasonReason provided in the request.
App IDsComma-separated application integration IDs referenced by the request.
IntegrationsComma-separated application integration names (with description when present).
Scheduled DateScheduled date/time for the request (RFC3339), if present.
Purpose IDPurpose ID associated with the request, if present.
Purpose NamePurpose name (enriched from graph), if available.
Purpose DescriptionPurpose description (enriched from graph), if available.
MetadataRaw JSON metadata of the request.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "includeCompleted": true,
    "includeActivityLog": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.balkan.id/api/rest/v0/requests/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "includeCompleted": true,
    "includeActivityLog": true
}'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-08-21 00:27:55
Previous
Bulk Relations Upload API (Early Access)
Next
Bulk Requests Upload API (Early Access)
Built with